Package com.orchestranetworks.ui.form.widget

# Interface UITable

All Superinterfaces:
  `UIWidget`

public interface UITable extends UIWidget
This interface represents a table component. The target node must be an association node.

### JavaScript type

Javascript call to get or set value on this component are not supported.

Since:
  5.5.0
See Also:
  - `UIFormWriter.newTable(com.orchestranetworks.schema.Path)`
  - `UIResponseContext.newTable(com.orchestranetworks.schema.Path)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getPageSize()`
  `Toolbar`
  `getRowToolbar()`
  Returns the programmatic toolbar to display on row.
  `String`
  `getRowToolbarName()`
  Returns the name of the toolbar to display on row.
  `Toolbar`
  `getTopToolbar()`
  Returns the programmatic toolbar to display on top.
  `String`
  `getTopToolbarName()`
  Returns the name of the toolbar to display on top.
  `boolean`
  `isRowToolbarHidden()`
  Returns `true` if row toolbars are hidden.
  `boolean`
  `isTopToolbarHidden()`
  Returns `true` if table toolbar is hidden.
  `void`
  `setPageSize(int newPageSize)`
  Sets the number of entries on each page of the table component.
  `void`
  `setRowToolbar(Toolbar rowToolbar)`
  Specifies the programmatic toolbar to display on row.
  `void`
  `setRowToolbarHidden(boolean rowToolbarHidden)`
  Specifies if table should display its toolbars on rows.
  `void`
  `setRowToolbarName(String rowToolbarName)`
  Specifies the name of the toolbar to display on row.
  `void`
  `setTopToolbar(Toolbar topToolbar)`
  Specifies the programmatic toolbar to display on top.
  `void`
  `setTopToolbarHidden(boolean topToolbarHidden)`
  Specifies if table should display its toolbar.
  `void`
  `setTopToolbarName(String topToolbarName)`
  Specifies the name of the toolbar to display on top.

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.UIWidget

  `isEditorDisabled, setEditorDisabled`

- ## Method Details

  - ### getPageSize

    Integer getPageSize()
    Returns:
      the page size of list of the table component, or `null` if it has not been defined.

  - ### setPageSize

    void setPageSize(int newPageSize)
    Sets the number of entries on each page of the table component.
    Parameters:
      `newPageSize` - the number of entries on each page of the table component, must be greater than zero.

  - ### isTopToolbarHidden

    boolean isTopToolbarHidden()
    Returns `true` if table toolbar is hidden.
    Since:
      6.0.0

  - ### setTopToolbarHidden

    void setTopToolbarHidden(boolean topToolbarHidden)
    Specifies if table should display its toolbar. The pagination toolbar and filter button will still be displayed.
    Parameters:
      `topToolbarHidden` - set to `true` to hide table toolbar.
    Since:
      6.0.0

  - ### isRowToolbarHidden

    boolean isRowToolbarHidden()
    Returns `true` if row toolbars are hidden.
    Since:
      6.0.0

  - ### setRowToolbarHidden

    void setRowToolbarHidden(boolean rowToolbarHidden)
    Specifies if table should display its toolbars on rows.
    Parameters:
      `rowToolbarHidden` - set to `true` to hide table rows toolbar.
    Since:
      6.0.0

  - ### getTopToolbarName

    String getTopToolbarName()
    Returns the name of the toolbar to display on top.
    Since:
      6.0.0

  - ### setTopToolbarName

    void setTopToolbarName(String topToolbarName)
    Specifies the name of the toolbar to display on top. This is incompatible with `setTopToolbar(Toolbar)` and will remove any configuration made by this method.
    Since:
      6.0.0

  - ### getTopToolbar

    Toolbar getTopToolbar()
    Returns the programmatic toolbar to display on top.
    Since:
      6.0.0

  - ### setTopToolbar

    void setTopToolbar(Toolbar topToolbar)
    Specifies the programmatic toolbar to display on top. This is incompatible with `setTopToolbarName(String)` and will remove any configuration made by this method.
    Since:
      6.0.0

  - ### getRowToolbarName

    String getRowToolbarName()
    Returns the name of the toolbar to display on row.
    Since:
      6.0.0

  - ### setRowToolbarName

    void setRowToolbarName(String rowToolbarName)
    Specifies the name of the toolbar to display on row. This is incompatible with `setRowToolbar(Toolbar)` and will remove any configuration made by this method.
    Since:
      6.0.0

  - ### getRowToolbar

    Toolbar getRowToolbar()
    Returns the programmatic toolbar to display on row.
    Since:
      6.0.0

  - ### setRowToolbar

    void setRowToolbar(Toolbar rowToolbar)
    Specifies the programmatic toolbar to display on row. This is incompatible with `setRowToolbarName(String)` and will remove any configuration made by this method.
    Since:
      6.0.0